
Redmine - Feature #27849

Ruby 2.5 support

2017-12-25 13:49 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

Ruby 2.5.0 was released on December 25, 2017.

https://www.ruby-lang.org/en/news/2017/12/25/ruby-2-5-0-released/

Related issues:

Related to Redmine - Defect #28689: csv 1.0.2 gem breaks ImportsControllerTest Closed

Blocked by Redmine - Patch #28112: CsvTest fails due to a regression in Ruby 2.5 Closed

History

#1 - 2018-01-31 14:17 - Go MAEDA

- Blocked by Patch #28112: CsvTest fails due to a regression in Ruby 2.5 added

#2 - 2018-04-08 13:39 - Go MAEDA

- File redmine-build-status@2x.png added

- Target version changed from 4.1.0 to 4.0.0

Redmine is now tested with Ruby 2.5.

http://www.redmine.org/builds/

 

#3 - 2018-04-10 09:28 - Enziin System

Please update to Ruby 2.5.1

#4 - 2018-05-06 02:10 - Go MAEDA

- Related to Defect #28689: csv 1.0.2 gem breaks ImportsControllerTest  added

#5 - 2018-06-16 16:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
http://www.redmine.org/builds/


#6 - 2020-02-02 22:42 - VVD VVD

Is it possible to run Redmine 3.4.10+ with Ruby 2.5 or 2.6?

Files

redmine-build-status@2x.png 75.2 KB 2018-04-08 Go MAEDA
